NI FlexRIO Adapter and NI FlexRIO FPGA Module Compatibility

Visión General

This page shows which NI FlexRIO Adapter Modules are supported by NI FlexRIO FPGA Modules and Controllers. Reference this information to ensure you install compatible adapter modules with your FlexRIO FPGA device. Using incompatible hardware may result in errors, failure to compile, the inability for your operating system to recognize or detect and then find a driver for your device, or missing devices in NI Measurement & Automation Explorer (MAX).

 

In the Downloads section at the bottom of this page, you can download a copy of these tables, which may include older versions.

 

For information on NI FlexRIO Driver compatibility see NI FlexRIO Driver Supported Versions for FlexRIO Adapters and Modules.

Note that this article replaces KnowledgeBase 6CBED5QE: What Adapter Modules Are Supported on my NI FlexRIO? Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

Contents

NI FlexRIO Digital Adapter Modules

Use this table to compare the compatibility of NI FlexRIO Digital Adapter Modules and NI FlexRIO FPGA Modules
FlexRIO Adapter Module FlexRIO FPGA Module
PXI-7951 PXI-7952 PXI-7953 PXI-7954 PXIe-7961 PXIe-7962 PXIe-79651 PXIe-7966 PXIe-7971 PXIe-7972 PXIe-7975 PXIe-7976 NI 7931 NI 7932 NI 7935
NI 6581              
NI 6581B
NI 6583
NI 6584
NI 6585              
NI 6585B
NI 6587              
NI 6589                

Compatible

NI FlexRIO Digitizer Adapter Modules

Use this table to compare the compatibility of NI Digitizer FlexRIO Adapter Modules and NI FlexRIO FPGA Modules
FlexRIO Adapter Module FlexRIO FPGA Module
PXI-7951 PXI-7952 PXI-7953 PXI-7954 PXIe-7961 PXIe-7962 PXIe-79651 PXIe-7966 PXIe-7971 PXIe-7972 PXIe-7975 PXIe-7976 NI 7931 NI 7932 NI 7935
NI 5731              
NI 5732
NI 5733
NI 5734
NI 5751              
NI 5751B
NI 5752              
NI 5752B
NI 5753  
NI 5761
NI 5762

Compatible

NI FlexRIO Oscilloscope Adapter Modules

Use this table to compare the compatibility of NI FlexRIO Oscilloscope Adapter Modules and NI FlexRIO FPGA Modules
FlexRIO Adapter Module FlexRIO FPGA Module
PXI-7951 PXI-7952 PXI-7953 PXI-7954 PXIe-7961 PXIe-7962 PXIe-79651 PXIe-7966 PXIe-7971 PXIe-7972 PXIe-7975 PXIe-7976 NI 7931 NI 7932 NI 7935
NI 5771  
NI 5772  

Compatible

NI FlexRIO IF/RF Adapter Modules

Use this table to compare the compatibility of NI FlexRIO RF Adapter Modules and NI FlexRIO FPGA Modules
FlexRIO Adapter Module FlexRIO FPGA Module
PXI-7951 PXI-7952 PXI-7953 PXI-7954 PXIe-7961 PXIe-7962 PXIe-79651 PXIe-7966 PXIe-7971 PXIe-7972 PXIe-7975 PXIe-7976 NI 7931 NI 7932 NI 7935
NI 5781              
NI 5782  
NI 5783                
NI 57912              
NI 57922              
NI 57932              

Compatible

NI FlexRIO Signal Generator Adapter Modules

Use this table to compare the compatibility of NI FlexRIO Signal Generator Adapter Modules and NI FlexRIO FPGA Modules
FlexRIO Adapter Module FlexRIO FPGA Module
PXI-7951 PXI-7952 PXI-7953 PXI-7954 PXIe-7961 PXIe-7962 PXIe-79651 PXIe-7966 PXIe-7971 PXIe-7972 PXIe-7975 PXIe-7976 NI 7931 NI 7932 NI 7935
NI 5741
NI 5742
AT 11203  
AT 12123  

Compatible

NI FlexRIO Camera Link Adapter Module

Use this table to compare the compatibility of NI FlexRIO Camera Link Adapter Module and NI FlexRIO FPGA Modules
FlexRIO Adapter Module FlexRIO FPGA Module
PXI-7951 PXI-7952 PXI-7953 PXI-7954 PXIe-7961 PXIe-7962 PXIe-79651 PXIe-7966 PXIe-7971 PXIe-7972 PXIe-7975 PXIe-7976 NI 7931 NI 7932 NI 7935
NI 1483R4

Compatible

 

[1] The size and speed grade of the NI PXIe-7965 makes it difficult to meet timing for higher performance adapter modules.
[2] The 579x FAMs use a sample project that is too large to fit on smaller FPGAs
[3] The AT FAMs require a driver available at Drivers and Updates: AT-1120 / AT-1212
[4] The NI 1483R FAM requires the IMAQ driver available at Drivers and Updates: NI-IMAQ 

The following Flexrio Adapter Modules (FAMs) are compatible with the 7975 in LabVIEW 2013 SP1: 5761, 5771, 5772, 5782, 5791, 5792, 5793. All other FAMs that support the 797x FPGA Modules require LabVIEW: 2014 or later.